use async_trait::async_trait;
use snafu::Snafu;
use std::path::PathBuf;

#[derive(Snafu, Debug)]
pub enum Error {
  InternalBundlePackagerError {
    source: Box<dyn std::error::Error + Sync + Send>,
  },
}

pub type Result<T, E = Error> = std::result::Result<T, E>;

#[async_trait(?Send)]
pub trait BundlePackager {
  async fn generate(&self, path: PathBuf) -> Result<()>;
}
